[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFPImageBitmap.GetWriterClass

Gets the class reference used to create new instances of the FCL-compatible image writer.

## Declaration

Source position: graphics.pp line 1444

`protected class function TFPImageBitmap.GetWriterClass: TFPCustomImageWriterClass; virtual; abstract;`

## Function result

TFPCustomImageWriterClass descendent used for the image class type.

## Description

Defined as an abstract virtual method in TFPImageBitmap. Must be implemented in a descendent class which provides support for a specific image format.